get
https://app.workramp.com/api/v1/users
Gets all users within the enterprise.
See also: Get All Users (Including Attributes)
Rate Limits
Please be aware that this endpoint is subject to rate limits in order to maintain the stability of the application for all users. Here's what you need to know:
- If you are trying to fetch a single user, such as by using the
custom_attributesparam to filter to a single identifying value, be sure to pass thelimit=1parameter. This will increase your rate limit substantially, since it isn't resource intensive to provide a single user's data.- If you are fetching more than one user's data, you must use pagination (provide
limitandpageparams to paginate, using a page size of 100 at the most), and you may make up to 10 requests to this endpoint within 60 seconds. The simplest way to do this is to just sleep 7 seconds between batches. This should enable you to fetch even a large userbase reasonably quickly without the danger of timeouts and rate limiting.- Finally, if you are looking to react to a user's creation, consider whether using Webhooks might serve your needs better than polling.
